<?php

namespace Bydedi\Http\Event;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\EventDispatcher\Event;

/**
 * Class HttpEvent
 * @package Bydedi\Http\Event
 */
class HttpEvent extends Event
{
    /**
     * The request the kernel is currently processing.
     *
     * @var Request
     */
    protected $request;

    /**
     * @param Request $request
     */
    public function __construct(Request $request)
    {
        $this->request = $request;
    }

    /**
     * Returns the request the kernel is currently processing.
     *
     * @return Request
     *
     * @api
     */
    public function getRequest()
    {
        return $this->request;
    }
}

