<?php

namespace Bydedi\Security\Event;

use Bydedi\Security\Permission;
use Symfony\Component\EventDispatcher\Event;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class SecurityEvent
 * @package Bydedi\Security\Event
 */
class SecurityEvent extends Event
{
    /**
     * @var array
     */
    protected $roles;

    /**
     * @var Permission
     */
    protected $permission;

    /**
     * @var Request
     */
    protected $request;

    /**
     * @param array $roles
     * @param Permission $permission
     * @param Request $request
     */
    public function __construct($roles, Permission $permission, Request $request)
    {
        $this->roles = $roles;
        $this->permission = $permission;
        $this->request = $request;
    }

    /**
     * @return array
     */
    public function getRoles()
    {
        return $this->roles;
    }

    /**
     * @return Permission
     */
    public function getPermission()
    {
        return $this->permission;
    }

    /**
     * @return Request
     */
    public function getRequest()
    {
        return $this->request;
    }
}
