<?php

namespace Bydedi\Template\Plugins;

use Bydedi\Container\ServiceContainer;
use Bydedi\Template\AbstractPlugin;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

class RenderPlugin extends AbstractPlugin
{

    protected $container;

    public function __construct(ServiceContainer $container)
    {
        $this->container = $container;
    }

    public function render($params, $template)
    {

        $request = new Request();
        $request->attributes->add($params);

        try {
            /** @var \Symfony\Component\HttpFoundation\Response $response */
            $response = call_user_func_array(
                [new $params['controller']($request, $this->container),
                    $params['action']],
                []
            );
        } catch(\Exception $e) {

        }

        return (!empty($response) && $response instanceof Response) ? $response->getContent() : '';
    }

    public function register()
    {
        return [
            'function',
            'render',
            array($this, 'render')
        ];
    }
}
